### Method

# WebKit2 WebView set_display_capture_state

since: 2.34

#### Declaration [src]

    void
    webkit_web_view_set_display_capture_state (
      WebKitWebView* web_view,
      WebKitMediaCaptureState state
    )

#### Description [src]

Set the display capture state of a `WebKitWebView`.

If `WebKitSettings:enable-mediastream` is `FALSE`, this method will have no visible effect. Once the state of the device has been set to `WEBKIT_MEDIA_CAPTURE_STATE_NONE` it cannot be changed anymore. The page can however request capture again using the mediaDevices API.

Available since: 2.34

Sets property | `WebKit2.WebView:display-capture-state`

#### Parameters

`state`

  Type: `WebKitMediaCaptureState`

  A `WebKitMediaCaptureState`.